## mx4j.tools.heartbeat
Interface HeartBeatListenerMBean

All Known Implementing Classes:
  HeartBeatListener

public interface HeartBeatListenerMBean

Callback interface. Heart beat source calls object implementing this interface to send a heart beat.

Version:
  $Revision: 1.5 $

Field Summary
`static java.lang.String` `DEFAULT_LISTENER_NAME`

Method Summary
`void` `processHeartBeat(java.lang.String heartBeatSource)`

Field Detail

### DEFAULT_LISTENER_NAME

    public static final java.lang.String DEFAULT_LISTENER_NAME

See Also:
  Constant Field Values

Method Detail

### processHeartBeat

    public void processHeartBeat(java.lang.String heartBeatSource)

Copyright © 2001-2003 MX4J Team. All Rights Reserved.